Name:		cryfs
Version:	0.10.2
Release:	%mkrel 3
Summary:	Cryptographic filesystem for the cloud
License:	LGPLv3+
Group:		File tools
URL:		https://www.cryfs.org
Source0:	https://github.com/cryfs/cryfs/releases/download/%{version}/%{name}-%{version}.tar.xz
Patch0:		cryfs-0.10.2-static.patch
Patch1:		cryfs-0.10.2-unbundle-libs.patch
Patch2:		cryfs-0.10.2-install-targets.patch

BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	gzip
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(fuse)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(cryptopp) >= 8.2

Requires:	fuse

%description
CryFS provides a FUSE-based mount that encrypts file contents, file
sizes, metadata and directory structure. It uses encrypted same-size
blocks to store both the files themselves and the blocks' relations
to one another. These blocks are stored as individual files in the
base directory, which can then be synchronized to remote storage
(using an external tool).

%prep
%setup -c -q
%autopatch -p1

%build
%cmake \
	-DCMAKE_BUILD_TYPE=Release \
	-DBoost_USE_STATIC_LIBS=OFF \
	-DBUILD_TESTING=OFF \
	-DUSE_SYSTEM_LIBS=ON \
	-DCRYFS_UPDATE_CHECKS=OFF

%cmake_build

%install
%cmake_install

%files
%doc README.md ChangeLog.txt
%license LICENSE.txt
%{_bindir}/cryfs*
%{_mandir}/man?/cryfs*


%changelog
* Thu Dec 31 2020 wally <wally> 0.10.2-3.mga8
+ Revision: 1666744
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 0.10.2-2.mga8
+ Revision: 1661986
- rebuild for boost 1.74.0

* Fri Jun 05 2020 daviddavid <daviddavid> 0.10.2-1.mga8
+ Revision: 1590595
- new version: 0.10.2

* Sun May 03 2020 wally <wally> 0.9.11-4.mga8
+ Revision: 1578040
- rebuild for boost 1.73.0

* Wed Feb 19 2020 umeabot <umeabot> 0.9.11-3.mga8
+ Revision: 1544598
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 wally <wally> 0.9.11-2.mga8
+ Revision: 1483353
- rebuild for boost 1.72.0
- build with new cmake macros

* Wed Nov 27 2019 daviddavid <daviddavid> 0.9.11-1.mga8
+ Revision: 1463058
- new version: 0.9.11

* Tue Nov 26 2019 daviddavid <daviddavid> 0.9.10-2.mga8
+ Revision: 1463032
- rebuild for new libcryptopp 8.2.0

* Sun Feb 10 2019 daviddavid <daviddavid> 0.9.10-1.mga7
+ Revision: 1364961
- new version: 0.9.10

* Tue Oct 16 2018 wally <wally> 0.9.9-2.mga7
+ Revision: 1321021
- rebuild for new boost 1.68.0

* Mon Oct 15 2018 daviddavid <daviddavid> 0.9.9-1.mga7
+ Revision: 1320572
- initial package cryfs

